// opbcam - Grabber Settings

#define HTTP_HOST "web.ics.purdue.edu"
#define HTTP_PATH "/~pmarks/webcam/httpdump.cgi"

#define UDP_PORT 55581

#define VIDEO_DEV "/dev/video0"
#define SIZE_W 320
#define SIZE_H 240

#define TARGET_SIZE 7000
#define MAX_FRAME 32768

#define MIN_QUALITY 5
#define MAX_QUALITY 50

#define UDP_BUF 64

extern int tcp_dest_error;

void tcp_dest(j_compress_ptr cinfo, int fd);
int compressFrame(j_compress_ptr cinfo, JSAMPROW *img_rows);
int sendall(int s, char *buf, size_t len);
int initUDP();
int recvUDP(int fd, int block);
void initAlarm(void);
int initCam(JSAMPROW *img_rows);
int initHTTP(void);
void initJpeg(struct jpeg_compress_struct *cinfo, struct jpeg_error_mgr *jerr);
